'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _axios = require('axios');

var _axios2 = _interopRequireDefault(_axios);

var _getTasksInfo = require('./getTasksInfo');

var _getTasksInfo2 = _interopRequireDefault(_getTasksInfo);

var _getUserInfo = require('./getUserInfo');

var _getUserInfo2 = _interopRequireDefault(_getUserInfo);

var _getContactsInfo = require('./getContactsInfo');

var _getContactsInfo2 = _interopRequireDefault(_getContactsInfo);

var _transformOldIds = require('./transformOldIds');

var _transformOldIds2 = _interopRequireDefault(_transformOldIds);

var _getCommentsFromTask = require('./getCommentsFromTask');

var _getCommentsFromTask2 = _interopRequireDefault(_getCommentsFromTask);

var _createCommentOnTask = require('./createCommentOnTask');

var _createCommentOnTask2 = _interopRequireDefault(_createCommentOnTask);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class WrikeAPI {

  constructor(token) {
    this.instance = _axios2.default.create({
      baseURL: 'https://www.wrike.com/api/v3/',
      headers: { authorization: `bearer ${token}` }
    });
  }

  getContactInfo(id) {
    return (0, _getContactsInfo2.default)(this.instance, [id]).then(res => res[0]);
  }

  getContactsInfo(ids) {
    return (0, _getContactsInfo2.default)(this.instance, ids);
  }

  getTaskInfo(id) {
    return (0, _getTasksInfo2.default)(this.instance, [id]).then(res => res[0]);
  }

  getTasksInfo(ids) {
    return (0, _getTasksInfo2.default)(this.instance, ids);
  }

  getCommentsFromTask(task) {
    if (typeof task === 'string') {
      return (0, _getCommentsFromTask2.default)(this.instance, task);
    }
    return (0, _getCommentsFromTask2.default)(this.instance, task.id);
  }

  createCommentOnTask(task, content) {
    if (typeof task === 'string') {
      return (0, _createCommentOnTask2.default)(this.instance, task, content);
    }
    return (0, _createCommentOnTask2.default)(this.instance, task.id, content);
  }

  getUserInfo(id) {
    return (0, _getUserInfo2.default)(this.instance, id);
  }

  transformOldId(id) {
    return (0, _transformOldIds2.default)(this.instance, [id]).then(res => res[0]);
  }

  transformOldIds(id) {
    return (0, _transformOldIds2.default)(this.instance, id);
  }
}
exports.default = WrikeAPI;